// Code generated by MockGen. DO NOT EDIT.
// Source: gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v16/internal/module/gitops/rpc (interfaces: GitopsClient,Gitops_GetObjectsToSynchronizeClient,Gitops_GetObjectsToSynchronizeServer,ObjectsToSynchronizeWatcherInterface)
//
// Generated by this command:
//
//	mockgen -typed -destination gitops.go -package mock_rpc gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v16/internal/module/gitops/rpc GitopsClient,Gitops_GetObjectsToSynchronizeClient,Gitops_GetObjectsToSynchronizeServer,ObjectsToSynchronizeWatcherInterface
//

// Package mock_rpc is a generated GoMock package.
package mock_rpc

import (
	context "context"
	reflect "reflect"

	rpc "gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v16/internal/module/gitops/rpc"
	gomock "go.uber.org/mock/gomock"
	grpc "google.golang.org/grpc"
	metadata "google.golang.org/grpc/metadata"
)

// MockGitopsClient is a mock of GitopsClient interface.
type MockGitopsClient struct {
	ctrl     *gomock.Controller
	recorder *MockGitopsClientMockRecorder
}

// MockGitopsClientMockRecorder is the mock recorder for MockGitopsClient.
type MockGitopsClientMockRecorder struct {
	mock *MockGitopsClient
}

// NewMockGitopsClient creates a new mock instance.
func NewMockGitopsClient(ctrl *gomock.Controller) *MockGitopsClient {
	mock := &MockGitopsClient{ctrl: ctrl}
	mock.recorder = &MockGitopsClientMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockGitopsClient) EXPECT() *MockGitopsClientMockRecorder {
	return m.recorder
}

// GetObjectsToSynchronize mocks base method.
func (m *MockGitopsClient) GetObjectsToSynchronize(arg0 context.Context, arg1 *rpc.ObjectsToSynchronizeRequest, arg2 ...grpc.CallOption) (rpc.Gitops_GetObjectsToSynchronizeClient, error) {
	m.ctrl.T.Helper()
	varargs := []any{arg0, arg1}
	for _, a := range arg2 {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "GetObjectsToSynchronize", varargs...)
	ret0, _ := ret[0].(rpc.Gitops_GetObjectsToSynchronizeClient)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetObjectsToSynchronize indicates an expected call of GetObjectsToSynchronize.
func (mr *MockGitopsClientMockRecorder) GetObjectsToSynchronize(arg0, arg1 any, arg2 ...any) *MockGitopsClientGetObjectsToSynchronizeCall {
	mr.mock.ctrl.T.Helper()
	varargs := append([]any{arg0, arg1}, arg2...)
	call := mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetObjectsToSynchronize", reflect.TypeOf((*MockGitopsClient)(nil).GetObjectsToSynchronize), varargs...)
	return &MockGitopsClientGetObjectsToSynchronizeCall{Call: call}
}

// MockGitopsClientGetObjectsToSynchronizeCall wrap *gomock.Call
type MockGitopsClientGetObjectsToSynchronizeCall struct {
	*gomock.Call
}

// Return rewrite *gomock.Call.Return
func (c *MockGitopsClientGetObjectsToSynchronizeCall) Return(arg0 rpc.Gitops_GetObjectsToSynchronizeClient, arg1 error) *MockGitopsClientGetObjectsToSynchronizeCall {
	c.Call = c.Call.Return(arg0, arg1)
	return c
}

// Do rewrite *gomock.Call.Do
func (c *MockGitopsClientGetObjectsToSynchronizeCall) Do(f func(context.Context, *rpc.ObjectsToSynchronizeRequest, ...grpc.CallOption) (rpc.Gitops_GetObjectsToSynchronizeClient, error)) *MockGitopsClientGetObjectsToSynchronizeCall {
	c.Call = c.Call.Do(f)
	return c
}

// DoAndReturn rewrite *gomock.Call.DoAndReturn
func (c *MockGitopsClientGetObjectsToSynchronizeCall) DoAndReturn(f func(context.Context, *rpc.ObjectsToSynchronizeRequest, ...grpc.CallOption) (rpc.Gitops_GetObjectsToSynchronizeClient, error)) *MockGitopsClientGetObjectsToSynchronizeCall {
	c.Call = c.Call.DoAndReturn(f)
	return c
}

// MockGitops_GetObjectsToSynchronizeClient is a mock of Gitops_GetObjectsToSynchronizeClient interface.
type MockGitops_GetObjectsToSynchronizeClient struct {
	ctrl     *gomock.Controller
	recorder *MockGitops_GetObjectsToSynchronizeClientMockRecorder
}

// MockGitops_GetObjectsToSynchronizeClientMockRecorder is the mock recorder for MockGitops_GetObjectsToSynchronizeClient.
type MockGitops_GetObjectsToSynchronizeClientMockRecorder struct {
	mock *MockGitops_GetObjectsToSynchronizeClient
}

// NewMockGitops_GetObjectsToSynchronizeClient creates a new mock instance.
func NewMockGitops_GetObjectsToSynchronizeClient(ctrl *gomock.Controller) *MockGitops_GetObjectsToSynchronizeClient {
	mock := &MockGitops_GetObjectsToSynchronizeClient{ctrl: ctrl}
	mock.recorder = &MockGitops_GetObjectsToSynchronizeClientMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockGitops_GetObjectsToSynchronizeClient) EXPECT() *MockGitops_GetObjectsToSynchronizeClientMockRecorder {
	return m.recorder
}

// CloseSend mocks base method.
func (m *MockGitops_GetObjectsToSynchronizeClient) CloseSend() error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "CloseSend")
	ret0, _ := ret[0].(error)
	return ret0
}

// CloseSend indicates an expected call of CloseSend.
func (mr *MockGitops_GetObjectsToSynchronizeClientMockRecorder) CloseSend() *MockGitops_GetObjectsToSynchronizeClientCloseSendCall {
	mr.mock.ctrl.T.Helper()
	call := mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CloseSend", reflect.TypeOf((*MockGitops_GetObjectsToSynchronizeClient)(nil).CloseSend))
	return &MockGitops_GetObjectsToSynchronizeClientCloseSendCall{Call: call}
}

// MockGitops_GetObjectsToSynchronizeClientCloseSendCall wrap *gomock.Call
type MockGitops_GetObjectsToSynchronizeClientCloseSendCall struct {
	*gomock.Call
}

// Return rewrite *gomock.Call.Return
func (c *MockGitops_GetObjectsToSynchronizeClientCloseSendCall) Return(arg0 error) *MockGitops_GetObjectsToSynchronizeClientCloseSendCall {
	c.Call = c.Call.Return(arg0)
	return c
}

// Do rewrite *gomock.Call.Do
func (c *MockGitops_GetObjectsToSynchronizeClientCloseSendCall) Do(f func() error) *MockGitops_GetObjectsToSynchronizeClientCloseSendCall {
	c.Call = c.Call.Do(f)
	return c
}

// DoAndReturn rewrite *gomock.Call.DoAndReturn
func (c *MockGitops_GetObjectsToSynchronizeClientCloseSendCall) DoAndReturn(f func() error) *MockGitops_GetObjectsToSynchronizeClientCloseSendCall {
	c.Call = c.Call.DoAndReturn(f)
	return c
}

// Context mocks base method.
func (m *MockGitops_GetObjectsToSynchronizeClient) Context() context.Context {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Context")
	ret0, _ := ret[0].(context.Context)
	return ret0
}

// Context indicates an expected call of Context.
func (mr *MockGitops_GetObjectsToSynchronizeClientMockRecorder) Context() *MockGitops_GetObjectsToSynchronizeClientContextCall {
	mr.mock.ctrl.T.Helper()
	call := mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Context", reflect.TypeOf((*MockGitops_GetObjectsToSynchronizeClient)(nil).Context))
	return &MockGitops_GetObjectsToSynchronizeClientContextCall{Call: call}
}

// MockGitops_GetObjectsToSynchronizeClientContextCall wrap *gomock.Call
type MockGitops_GetObjectsToSynchronizeClientContextCall struct {
	*gomock.Call
}

// Return rewrite *gomock.Call.Return
func (c *MockGitops_GetObjectsToSynchronizeClientContextCall) Return(arg0 context.Context) *MockGitops_GetObjectsToSynchronizeClientContextCall {
	c.Call = c.Call.Return(arg0)
	return c
}

// Do rewrite *gomock.Call.Do
func (c *MockGitops_GetObjectsToSynchronizeClientContextCall) Do(f func() context.Context) *MockGitops_GetObjectsToSynchronizeClientContextCall {
	c.Call = c.Call.Do(f)
	return c
}

// DoAndReturn rewrite *gomock.Call.DoAndReturn
func (c *MockGitops_GetObjectsToSynchronizeClientContextCall) DoAndReturn(f func() context.Context) *MockGitops_GetObjectsToSynchronizeClientContextCall {
	c.Call = c.Call.DoAndReturn(f)
	return c
}

// Header mocks base method.
func (m *MockGitops_GetObjectsToSynchronizeClient) Header() (metadata.MD, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Header")
	ret0, _ := ret[0].(metadata.MD)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Header indicates an expected call of Header.
func (mr *MockGitops_GetObjectsToSynchronizeClientMockRecorder) Header() *MockGitops_GetObjectsToSynchronizeClientHeaderCall {
	mr.mock.ctrl.T.Helper()
	call := mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Header", reflect.TypeOf((*MockGitops_GetObjectsToSynchronizeClient)(nil).Header))
	return &MockGitops_GetObjectsToSynchronizeClientHeaderCall{Call: call}
}

// MockGitops_GetObjectsToSynchronizeClientHeaderCall wrap *gomock.Call
type MockGitops_GetObjectsToSynchronizeClientHeaderCall struct {
	*gomock.Call
}

// Return rewrite *gomock.Call.Return
func (c *MockGitops_GetObjectsToSynchronizeClientHeaderCall) Return(arg0 metadata.MD, arg1 error) *MockGitops_GetObjectsToSynchronizeClientHeaderCall {
	c.Call = c.Call.Return(arg0, arg1)
	return c
}

// Do rewrite *gomock.Call.Do
func (c *MockGitops_GetObjectsToSynchronizeClientHeaderCall) Do(f func() (metadata.MD, error)) *MockGitops_GetObjectsToSynchronizeClientHeaderCall {
	c.Call = c.Call.Do(f)
	return c
}

// DoAndReturn rewrite *gomock.Call.DoAndReturn
func (c *MockGitops_GetObjectsToSynchronizeClientHeaderCall) DoAndReturn(f func() (metadata.MD, error)) *MockGitops_GetObjectsToSynchronizeClientHeaderCall {
	c.Call = c.Call.DoAndReturn(f)
	return c
}

// Recv mocks base method.
func (m *MockGitops_GetObjectsToSynchronizeClient) Recv() (*rpc.ObjectsToSynchronizeResponse, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Recv")
	ret0, _ := ret[0].(*rpc.ObjectsToSynchronizeResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Recv indicates an expected call of Recv.
func (mr *MockGitops_GetObjectsToSynchronizeClientMockRecorder) Recv() *MockGitops_GetObjectsToSynchronizeClientRecvCall {
	mr.mock.ctrl.T.Helper()
	call := mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Recv", reflect.TypeOf((*MockGitops_GetObjectsToSynchronizeClient)(nil).Recv))
	return &MockGitops_GetObjectsToSynchronizeClientRecvCall{Call: call}
}

// MockGitops_GetObjectsToSynchronizeClientRecvCall wrap *gomock.Call
type MockGitops_GetObjectsToSynchronizeClientRecvCall struct {
	*gomock.Call
}

// Return rewrite *gomock.Call.Return
func (c *MockGitops_GetObjectsToSynchronizeClientRecvCall) Return(arg0 *rpc.ObjectsToSynchronizeResponse, arg1 error) *MockGitops_GetObjectsToSynchronizeClientRecvCall {
	c.Call = c.Call.Return(arg0, arg1)
	return c
}

// Do rewrite *gomock.Call.Do
func (c *MockGitops_GetObjectsToSynchronizeClientRecvCall) Do(f func() (*rpc.ObjectsToSynchronizeResponse, error)) *MockGitops_GetObjectsToSynchronizeClientRecvCall {
	c.Call = c.Call.Do(f)
	return c
}

// DoAndReturn rewrite *gomock.Call.DoAndReturn
func (c *MockGitops_GetObjectsToSynchronizeClientRecvCall) DoAndReturn(f func() (*rpc.ObjectsToSynchronizeResponse, error)) *MockGitops_GetObjectsToSynchronizeClientRecvCall {
	c.Call = c.Call.DoAndReturn(f)
	return c
}

// RecvMsg mocks base method.
func (m *MockGitops_GetObjectsToSynchronizeClient) RecvMsg(arg0 any) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "RecvMsg", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// RecvMsg indicates an expected call of RecvMsg.
func (mr *MockGitops_GetObjectsToSynchronizeClientMockRecorder) RecvMsg(arg0 any) *MockGitops_GetObjectsToSynchronizeClientRecvMsgCall {
	mr.mock.ctrl.T.Helper()
	call := mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "RecvMsg", reflect.TypeOf((*MockGitops_GetObjectsToSynchronizeClient)(nil).RecvMsg), arg0)
	return &MockGitops_GetObjectsToSynchronizeClientRecvMsgCall{Call: call}
}

// MockGitops_GetObjectsToSynchronizeClientRecvMsgCall wrap *gomock.Call
type MockGitops_GetObjectsToSynchronizeClientRecvMsgCall struct {
	*gomock.Call
}

// Return rewrite *gomock.Call.Return
func (c *MockGitops_GetObjectsToSynchronizeClientRecvMsgCall) Return(arg0 error) *MockGitops_GetObjectsToSynchronizeClientRecvMsgCall {
	c.Call = c.Call.Return(arg0)
	return c
}

// Do rewrite *gomock.Call.Do
func (c *MockGitops_GetObjectsToSynchronizeClientRecvMsgCall) Do(f func(any) error) *MockGitops_GetObjectsToSynchronizeClientRecvMsgCall {
	c.Call = c.Call.Do(f)
	return c
}

// DoAndReturn rewrite *gomock.Call.DoAndReturn
func (c *MockGitops_GetObjectsToSynchronizeClientRecvMsgCall) DoAndReturn(f func(any) error) *MockGitops_GetObjectsToSynchronizeClientRecvMsgCall {
	c.Call = c.Call.DoAndReturn(f)
	return c
}

// SendMsg mocks base method.
func (m *MockGitops_GetObjectsToSynchronizeClient) SendMsg(arg0 any) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "SendMsg", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// SendMsg indicates an expected call of SendMsg.
func (mr *MockGitops_GetObjectsToSynchronizeClientMockRecorder) SendMsg(arg0 any) *MockGitops_GetObjectsToSynchronizeClientSendMsgCall {
	mr.mock.ctrl.T.Helper()
	call := mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "SendMsg", reflect.TypeOf((*MockGitops_GetObjectsToSynchronizeClient)(nil).SendMsg), arg0)
	return &MockGitops_GetObjectsToSynchronizeClientSendMsgCall{Call: call}
}

// MockGitops_GetObjectsToSynchronizeClientSendMsgCall wrap *gomock.Call
type MockGitops_GetObjectsToSynchronizeClientSendMsgCall struct {
	*gomock.Call
}

// Return rewrite *gomock.Call.Return
func (c *MockGitops_GetObjectsToSynchronizeClientSendMsgCall) Return(arg0 error) *MockGitops_GetObjectsToSynchronizeClientSendMsgCall {
	c.Call = c.Call.Return(arg0)
	return c
}

// Do rewrite *gomock.Call.Do
func (c *MockGitops_GetObjectsToSynchronizeClientSendMsgCall) Do(f func(any) error) *MockGitops_GetObjectsToSynchronizeClientSendMsgCall {
	c.Call = c.Call.Do(f)
	return c
}

// DoAndReturn rewrite *gomock.Call.DoAndReturn
func (c *MockGitops_GetObjectsToSynchronizeClientSendMsgCall) DoAndReturn(f func(any) error) *MockGitops_GetObjectsToSynchronizeClientSendMsgCall {
	c.Call = c.Call.DoAndReturn(f)
	return c
}

// Trailer mocks base method.
func (m *MockGitops_GetObjectsToSynchronizeClient) Trailer() metadata.MD {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Trailer")
	ret0, _ := ret[0].(metadata.MD)
	return ret0
}

// Trailer indicates an expected call of Trailer.
func (mr *MockGitops_GetObjectsToSynchronizeClientMockRecorder) Trailer() *MockGitops_GetObjectsToSynchronizeClientTrailerCall {
	mr.mock.ctrl.T.Helper()
	call := mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Trailer", reflect.TypeOf((*MockGitops_GetObjectsToSynchronizeClient)(nil).Trailer))
	return &MockGitops_GetObjectsToSynchronizeClientTrailerCall{Call: call}
}

// MockGitops_GetObjectsToSynchronizeClientTrailerCall wrap *gomock.Call
type MockGitops_GetObjectsToSynchronizeClientTrailerCall struct {
	*gomock.Call
}

// Return rewrite *gomock.Call.Return
func (c *MockGitops_GetObjectsToSynchronizeClientTrailerCall) Return(arg0 metadata.MD) *MockGitops_GetObjectsToSynchronizeClientTrailerCall {
	c.Call = c.Call.Return(arg0)
	return c
}

// Do rewrite *gomock.Call.Do
func (c *MockGitops_GetObjectsToSynchronizeClientTrailerCall) Do(f func() metadata.MD) *MockGitops_GetObjectsToSynchronizeClientTrailerCall {
	c.Call = c.Call.Do(f)
	return c
}

// DoAndReturn rewrite *gomock.Call.DoAndReturn
func (c *MockGitops_GetObjectsToSynchronizeClientTrailerCall) DoAndReturn(f func() metadata.MD) *MockGitops_GetObjectsToSynchronizeClientTrailerCall {
	c.Call = c.Call.DoAndReturn(f)
	return c
}

// MockGitops_GetObjectsToSynchronizeServer is a mock of Gitops_GetObjectsToSynchronizeServer interface.
type MockGitops_GetObjectsToSynchronizeServer struct {
	ctrl     *gomock.Controller
	recorder *MockGitops_GetObjectsToSynchronizeServerMockRecorder
}

// MockGitops_GetObjectsToSynchronizeServerMockRecorder is the mock recorder for MockGitops_GetObjectsToSynchronizeServer.
type MockGitops_GetObjectsToSynchronizeServerMockRecorder struct {
	mock *MockGitops_GetObjectsToSynchronizeServer
}

// NewMockGitops_GetObjectsToSynchronizeServer creates a new mock instance.
func NewMockGitops_GetObjectsToSynchronizeServer(ctrl *gomock.Controller) *MockGitops_GetObjectsToSynchronizeServer {
	mock := &MockGitops_GetObjectsToSynchronizeServer{ctrl: ctrl}
	mock.recorder = &MockGitops_GetObjectsToSynchronizeServerMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockGitops_GetObjectsToSynchronizeServer) EXPECT() *MockGitops_GetObjectsToSynchronizeServerMockRecorder {
	return m.recorder
}

// Context mocks base method.
func (m *MockGitops_GetObjectsToSynchronizeServer) Context() context.Context {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Context")
	ret0, _ := ret[0].(context.Context)
	return ret0
}

// Context indicates an expected call of Context.
func (mr *MockGitops_GetObjectsToSynchronizeServerMockRecorder) Context() *MockGitops_GetObjectsToSynchronizeServerContextCall {
	mr.mock.ctrl.T.Helper()
	call := mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Context", reflect.TypeOf((*MockGitops_GetObjectsToSynchronizeServer)(nil).Context))
	return &MockGitops_GetObjectsToSynchronizeServerContextCall{Call: call}
}

// MockGitops_GetObjectsToSynchronizeServerContextCall wrap *gomock.Call
type MockGitops_GetObjectsToSynchronizeServerContextCall struct {
	*gomock.Call
}

// Return rewrite *gomock.Call.Return
func (c *MockGitops_GetObjectsToSynchronizeServerContextCall) Return(arg0 context.Context) *MockGitops_GetObjectsToSynchronizeServerContextCall {
	c.Call = c.Call.Return(arg0)
	return c
}

// Do rewrite *gomock.Call.Do
func (c *MockGitops_GetObjectsToSynchronizeServerContextCall) Do(f func() context.Context) *MockGitops_GetObjectsToSynchronizeServerContextCall {
	c.Call = c.Call.Do(f)
	return c
}

// DoAndReturn rewrite *gomock.Call.DoAndReturn
func (c *MockGitops_GetObjectsToSynchronizeServerContextCall) DoAndReturn(f func() context.Context) *MockGitops_GetObjectsToSynchronizeServerContextCall {
	c.Call = c.Call.DoAndReturn(f)
	return c
}

// RecvMsg mocks base method.
func (m *MockGitops_GetObjectsToSynchronizeServer) RecvMsg(arg0 any) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "RecvMsg", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// RecvMsg indicates an expected call of RecvMsg.
func (mr *MockGitops_GetObjectsToSynchronizeServerMockRecorder) RecvMsg(arg0 any) *MockGitops_GetObjectsToSynchronizeServerRecvMsgCall {
	mr.mock.ctrl.T.Helper()
	call := mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "RecvMsg", reflect.TypeOf((*MockGitops_GetObjectsToSynchronizeServer)(nil).RecvMsg), arg0)
	return &MockGitops_GetObjectsToSynchronizeServerRecvMsgCall{Call: call}
}

// MockGitops_GetObjectsToSynchronizeServerRecvMsgCall wrap *gomock.Call
type MockGitops_GetObjectsToSynchronizeServerRecvMsgCall struct {
	*gomock.Call
}

// Return rewrite *gomock.Call.Return
func (c *MockGitops_GetObjectsToSynchronizeServerRecvMsgCall) Return(arg0 error) *MockGitops_GetObjectsToSynchronizeServerRecvMsgCall {
	c.Call = c.Call.Return(arg0)
	return c
}

// Do rewrite *gomock.Call.Do
func (c *MockGitops_GetObjectsToSynchronizeServerRecvMsgCall) Do(f func(any) error) *MockGitops_GetObjectsToSynchronizeServerRecvMsgCall {
	c.Call = c.Call.Do(f)
	return c
}

// DoAndReturn rewrite *gomock.Call.DoAndReturn
func (c *MockGitops_GetObjectsToSynchronizeServerRecvMsgCall) DoAndReturn(f func(any) error) *MockGitops_GetObjectsToSynchronizeServerRecvMsgCall {
	c.Call = c.Call.DoAndReturn(f)
	return c
}

// Send mocks base method.
func (m *MockGitops_GetObjectsToSynchronizeServer) Send(arg0 *rpc.ObjectsToSynchronizeResponse) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Send", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// Send indicates an expected call of Send.
func (mr *MockGitops_GetObjectsToSynchronizeServerMockRecorder) Send(arg0 any) *MockGitops_GetObjectsToSynchronizeServerSendCall {
	mr.mock.ctrl.T.Helper()
	call := mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Send", reflect.TypeOf((*MockGitops_GetObjectsToSynchronizeServer)(nil).Send), arg0)
	return &MockGitops_GetObjectsToSynchronizeServerSendCall{Call: call}
}

// MockGitops_GetObjectsToSynchronizeServerSendCall wrap *gomock.Call
type MockGitops_GetObjectsToSynchronizeServerSendCall struct {
	*gomock.Call
}

// Return rewrite *gomock.Call.Return
func (c *MockGitops_GetObjectsToSynchronizeServerSendCall) Return(arg0 error) *MockGitops_GetObjectsToSynchronizeServerSendCall {
	c.Call = c.Call.Return(arg0)
	return c
}

// Do rewrite *gomock.Call.Do
func (c *MockGitops_GetObjectsToSynchronizeServerSendCall) Do(f func(*rpc.ObjectsToSynchronizeResponse) error) *MockGitops_GetObjectsToSynchronizeServerSendCall {
	c.Call = c.Call.Do(f)
	return c
}

// DoAndReturn rewrite *gomock.Call.DoAndReturn
func (c *MockGitops_GetObjectsToSynchronizeServerSendCall) DoAndReturn(f func(*rpc.ObjectsToSynchronizeResponse) error) *MockGitops_GetObjectsToSynchronizeServerSendCall {
	c.Call = c.Call.DoAndReturn(f)
	return c
}

// SendHeader mocks base method.
func (m *MockGitops_GetObjectsToSynchronizeServer) SendHeader(arg0 metadata.MD) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "SendHeader", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// SendHeader indicates an expected call of SendHeader.
func (mr *MockGitops_GetObjectsToSynchronizeServerMockRecorder) SendHeader(arg0 any) *MockGitops_GetObjectsToSynchronizeServerSendHeaderCall {
	mr.mock.ctrl.T.Helper()
	call := mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "SendHeader", reflect.TypeOf((*MockGitops_GetObjectsToSynchronizeServer)(nil).SendHeader), arg0)
	return &MockGitops_GetObjectsToSynchronizeServerSendHeaderCall{Call: call}
}

// MockGitops_GetObjectsToSynchronizeServerSendHeaderCall wrap *gomock.Call
type MockGitops_GetObjectsToSynchronizeServerSendHeaderCall struct {
	*gomock.Call
}

// Return rewrite *gomock.Call.Return
func (c *MockGitops_GetObjectsToSynchronizeServerSendHeaderCall) Return(arg0 error) *MockGitops_GetObjectsToSynchronizeServerSendHeaderCall {
	c.Call = c.Call.Return(arg0)
	return c
}

// Do rewrite *gomock.Call.Do
func (c *MockGitops_GetObjectsToSynchronizeServerSendHeaderCall) Do(f func(metadata.MD) error) *MockGitops_GetObjectsToSynchronizeServerSendHeaderCall {
	c.Call = c.Call.Do(f)
	return c
}

// DoAndReturn rewrite *gomock.Call.DoAndReturn
func (c *MockGitops_GetObjectsToSynchronizeServerSendHeaderCall) DoAndReturn(f func(metadata.MD) error) *MockGitops_GetObjectsToSynchronizeServerSendHeaderCall {
	c.Call = c.Call.DoAndReturn(f)
	return c
}

// SendMsg mocks base method.
func (m *MockGitops_GetObjectsToSynchronizeServer) SendMsg(arg0 any) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "SendMsg", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// SendMsg indicates an expected call of SendMsg.
func (mr *MockGitops_GetObjectsToSynchronizeServerMockRecorder) SendMsg(arg0 any) *MockGitops_GetObjectsToSynchronizeServerSendMsgCall {
	mr.mock.ctrl.T.Helper()
	call := mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "SendMsg", reflect.TypeOf((*MockGitops_GetObjectsToSynchronizeServer)(nil).SendMsg), arg0)
	return &MockGitops_GetObjectsToSynchronizeServerSendMsgCall{Call: call}
}

// MockGitops_GetObjectsToSynchronizeServerSendMsgCall wrap *gomock.Call
type MockGitops_GetObjectsToSynchronizeServerSendMsgCall struct {
	*gomock.Call
}

// Return rewrite *gomock.Call.Return
func (c *MockGitops_GetObjectsToSynchronizeServerSendMsgCall) Return(arg0 error) *MockGitops_GetObjectsToSynchronizeServerSendMsgCall {
	c.Call = c.Call.Return(arg0)
	return c
}

// Do rewrite *gomock.Call.Do
func (c *MockGitops_GetObjectsToSynchronizeServerSendMsgCall) Do(f func(any) error) *MockGitops_GetObjectsToSynchronizeServerSendMsgCall {
	c.Call = c.Call.Do(f)
	return c
}

// DoAndReturn rewrite *gomock.Call.DoAndReturn
func (c *MockGitops_GetObjectsToSynchronizeServerSendMsgCall) DoAndReturn(f func(any) error) *MockGitops_GetObjectsToSynchronizeServerSendMsgCall {
	c.Call = c.Call.DoAndReturn(f)
	return c
}

// SetHeader mocks base method.
func (m *MockGitops_GetObjectsToSynchronizeServer) SetHeader(arg0 metadata.MD) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "SetHeader", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// SetHeader indicates an expected call of SetHeader.
func (mr *MockGitops_GetObjectsToSynchronizeServerMockRecorder) SetHeader(arg0 any) *MockGitops_GetObjectsToSynchronizeServerSetHeaderCall {
	mr.mock.ctrl.T.Helper()
	call := mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "SetHeader", reflect.TypeOf((*MockGitops_GetObjectsToSynchronizeServer)(nil).SetHeader), arg0)
	return &MockGitops_GetObjectsToSynchronizeServerSetHeaderCall{Call: call}
}

// MockGitops_GetObjectsToSynchronizeServerSetHeaderCall wrap *gomock.Call
type MockGitops_GetObjectsToSynchronizeServerSetHeaderCall struct {
	*gomock.Call
}

// Return rewrite *gomock.Call.Return
func (c *MockGitops_GetObjectsToSynchronizeServerSetHeaderCall) Return(arg0 error) *MockGitops_GetObjectsToSynchronizeServerSetHeaderCall {
	c.Call = c.Call.Return(arg0)
	return c
}

// Do rewrite *gomock.Call.Do
func (c *MockGitops_GetObjectsToSynchronizeServerSetHeaderCall) Do(f func(metadata.MD) error) *MockGitops_GetObjectsToSynchronizeServerSetHeaderCall {
	c.Call = c.Call.Do(f)
	return c
}

// DoAndReturn rewrite *gomock.Call.DoAndReturn
func (c *MockGitops_GetObjectsToSynchronizeServerSetHeaderCall) DoAndReturn(f func(metadata.MD) error) *MockGitops_GetObjectsToSynchronizeServerSetHeaderCall {
	c.Call = c.Call.DoAndReturn(f)
	return c
}

// SetTrailer mocks base method.
func (m *MockGitops_GetObjectsToSynchronizeServer) SetTrailer(arg0 metadata.MD) {
	m.ctrl.T.Helper()
	m.ctrl.Call(m, "SetTrailer", arg0)
}

// SetTrailer indicates an expected call of SetTrailer.
func (mr *MockGitops_GetObjectsToSynchronizeServerMockRecorder) SetTrailer(arg0 any) *MockGitops_GetObjectsToSynchronizeServerSetTrailerCall {
	mr.mock.ctrl.T.Helper()
	call := mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "SetTrailer", reflect.TypeOf((*MockGitops_GetObjectsToSynchronizeServer)(nil).SetTrailer), arg0)
	return &MockGitops_GetObjectsToSynchronizeServerSetTrailerCall{Call: call}
}

// MockGitops_GetObjectsToSynchronizeServerSetTrailerCall wrap *gomock.Call
type MockGitops_GetObjectsToSynchronizeServerSetTrailerCall struct {
	*gomock.Call
}

// Return rewrite *gomock.Call.Return
func (c *MockGitops_GetObjectsToSynchronizeServerSetTrailerCall) Return() *MockGitops_GetObjectsToSynchronizeServerSetTrailerCall {
	c.Call = c.Call.Return()
	return c
}

// Do rewrite *gomock.Call.Do
func (c *MockGitops_GetObjectsToSynchronizeServerSetTrailerCall) Do(f func(metadata.MD)) *MockGitops_GetObjectsToSynchronizeServerSetTrailerCall {
	c.Call = c.Call.Do(f)
	return c
}

// DoAndReturn rewrite *gomock.Call.DoAndReturn
func (c *MockGitops_GetObjectsToSynchronizeServerSetTrailerCall) DoAndReturn(f func(metadata.MD)) *MockGitops_GetObjectsToSynchronizeServerSetTrailerCall {
	c.Call = c.Call.DoAndReturn(f)
	return c
}

// MockObjectsToSynchronizeWatcherInterface is a mock of ObjectsToSynchronizeWatcherInterface interface.
type MockObjectsToSynchronizeWatcherInterface struct {
	ctrl     *gomock.Controller
	recorder *MockObjectsToSynchronizeWatcherInterfaceMockRecorder
}

// MockObjectsToSynchronizeWatcherInterfaceMockRecorder is the mock recorder for MockObjectsToSynchronizeWatcherInterface.
type MockObjectsToSynchronizeWatcherInterfaceMockRecorder struct {
	mock *MockObjectsToSynchronizeWatcherInterface
}

// NewMockObjectsToSynchronizeWatcherInterface creates a new mock instance.
func NewMockObjectsToSynchronizeWatcherInterface(ctrl *gomock.Controller) *MockObjectsToSynchronizeWatcherInterface {
	mock := &MockObjectsToSynchronizeWatcherInterface{ctrl: ctrl}
	mock.recorder = &MockObjectsToSynchronizeWatcherInterfaceMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockObjectsToSynchronizeWatcherInterface) EXPECT() *MockObjectsToSynchronizeWatcherInterfaceMockRecorder {
	return m.recorder
}

// Watch mocks base method.
func (m *MockObjectsToSynchronizeWatcherInterface) Watch(arg0 context.Context, arg1 *rpc.ObjectsToSynchronizeRequest, arg2 rpc.ObjectsToSynchronizeCallback) {
	m.ctrl.T.Helper()
	m.ctrl.Call(m, "Watch", arg0, arg1, arg2)
}

// Watch indicates an expected call of Watch.
func (mr *MockObjectsToSynchronizeWatcherInterfaceMockRecorder) Watch(arg0, arg1, arg2 any) *MockObjectsToSynchronizeWatcherInterfaceWatchCall {
	mr.mock.ctrl.T.Helper()
	call := mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Watch", reflect.TypeOf((*MockObjectsToSynchronizeWatcherInterface)(nil).Watch), arg0, arg1, arg2)
	return &MockObjectsToSynchronizeWatcherInterfaceWatchCall{Call: call}
}

// MockObjectsToSynchronizeWatcherInterfaceWatchCall wrap *gomock.Call
type MockObjectsToSynchronizeWatcherInterfaceWatchCall struct {
	*gomock.Call
}

// Return rewrite *gomock.Call.Return
func (c *MockObjectsToSynchronizeWatcherInterfaceWatchCall) Return() *MockObjectsToSynchronizeWatcherInterfaceWatchCall {
	c.Call = c.Call.Return()
	return c
}

// Do rewrite *gomock.Call.Do
func (c *MockObjectsToSynchronizeWatcherInterfaceWatchCall) Do(f func(context.Context, *rpc.ObjectsToSynchronizeRequest, rpc.ObjectsToSynchronizeCallback)) *MockObjectsToSynchronizeWatcherInterfaceWatchCall {
	c.Call = c.Call.Do(f)
	return c
}

// DoAndReturn rewrite *gomock.Call.DoAndReturn
func (c *MockObjectsToSynchronizeWatcherInterfaceWatchCall) DoAndReturn(f func(context.Context, *rpc.ObjectsToSynchronizeRequest, rpc.ObjectsToSynchronizeCallback)) *MockObjectsToSynchronizeWatcherInterfaceWatchCall {
	c.Call = c.Call.DoAndReturn(f)
	return c
}
